libdist-zilla-plugin-podweaver-perl_4.008-1_all.deb


Advertisement

Description

libdist-zilla-plugin-podweaver-perl - Dist::Zilla plugin to use Pod::Weaver to generate Pod documentation

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libdist-zilla-plugin-podweaver-perl_4.008-1_all.deb
Package name libdist-zilla-plugin-podweaver-perl
Package version 4.008
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::shared-lib
Homepage https://metacpan.org/release/Dist-Zilla-Plugin-PodWeaver
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 8.71 KB
Installed size 28.00 KB
Dist::Zilla::Plugin::PodWeaver is the bridge between Dist::Zilla and
Pod::Weaver. It rips apart your kinda-Pod and reconstructs it as boring old
real Pod.

Alternatives

Package Version Architecture Repository
libdist-zilla-plugin-podweaver-perl_4.008-1_all.deb 4.008 all Debian Main
libdist-zilla-plugin-podweaver-perl - - -

Requires

Name Value
libdist-zilla-perl >= 5
libmoose-perl -
libnamespace-autoclean-perl -
libpod-elemental-perlmunger-perl >= 0.100000
libpod-weaver-perl >= 4
libppi-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libdist-zilla-plugin-podweaver-perl_4.008-1_all.deb
Source Package libdist-zilla-plugin-podweaver-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdist-zilla-plugin-podweaver-perl deb package:
    # sudo apt-get install libdist-zilla-plugin-podweaver-perl

Files

Path
/usr/share/doc/libdist-zilla-plugin-podweaver-perl/changelog.Debian.gz
/usr/share/doc/libdist-zilla-plugin-podweaver-perl/changelog.gz
/usr/share/doc/libdist-zilla-plugin-podweaver-perl/copyright
/usr/share/man/man3/Dist::Zilla::Plugin::PodWeaver.3pm.gz
/usr/share/perl5/Dist/Zilla/Plugin/PodWeaver.pm

Changelog

2016-05-26 - Axel Beckert <abe@debian.org>
libdist-zilla-plugin-podweaver-perl (4.008-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Axel Beckert ]
* Import upstream version 4.008
+ Also remove the unneeded dependency on liblist-moreutils-perl from
packaging.
* Bump debhelper compatibility to 9 as recommended.
+ Update versioned build-dependency on debhelper accordingly.
* Declare compliance with Debian Policy 3.9.8. (No changes needed.)
* Mark package as autopkgtestable.
2014-09-15 - gregor herrmann <gregoa@debian.org>
libdist-zilla-plugin-podweaver-perl (4.006-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Imported upstream version 4.006
* Add debian/upstream/metadata.
2014-01-09 - Florian Schlichting <fsfs@debian.org>
libdist-zilla-plugin-podweaver-perl (4.005-1) unstable; urgency=medium
* Import Upstream version 4.005
* Add upstream-repo URL to Source field
* Bump copyright years
* Update Pod::Elemental::PerlMunger (build-)dependency
2013-11-28 - Florian Schlichting <fsfs@debian.org>
libdist-zilla-plugin-podweaver-perl (4.002-1) unstable; urgency=low
* Import Upstream version 4.002
* Fix dependency on Test::More
* Bump dependencies to Dist::Zilla 5 and Pod::Weaver 4
* Declare compliance with Debian Policy 3.9.5
2013-10-01 - Florian Schlichting <fsfs@debian.org>
libdist-zilla-plugin-podweaver-perl (3.102000-1) unstable; urgency=low
* Import Upstream version 3.102000
2013-08-18 - Florian Schlichting <fsfs@debian.org>
libdist-zilla-plugin-podweaver-perl (3.101642-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Import Upstream version 3.101642
* Bump year of upstream copyright
* Bump Standards-Version to 3.9.4 (update to copyright-format 1.0)
* Bump dh compatibility to level 8 (no changes necessary)
* Update (build-)dependencies
* Add myself to uploaders and copyright
2010-10-15 - Ansgar Burchardt <ansgar@debian.org>
libdist-zilla-plugin-podweaver-perl (3.101641-1) unstable; urgency=low
* New upstream release.
* debian/control: Refer to "Debian systems" intead of "Debian GNU/Linux
systems"; refer to /usr/share/common-licenses/GPL-1.
* Bump Standards-Version to 3.9.1.
* Update my email address.
2010-06-27 - Ansgar Burchardt <ansgar@43-1.org>
libdist-zilla-plugin-podweaver-perl (3.101640-1) unstable; urgency=low
* New upstream release.
* Bump (build-)dep on libdist-zilla-perl to >= 4.
2010-06-03 - Ansgar Burchardt <ansgar@43-1.org>
libdist-zilla-plugin-podweaver-perl (3.101530-1) unstable; urgency=low
* New upstream release.
* Remove libfile-find-rule-perl from Depends.
2010-05-16 - Ansgar Burchardt <ansgar@43-1.org>
libdist-zilla-plugin-podweaver-perl (3.100710-1) unstable; urgency=low
* Initial Release. (Closes: #582138)

See Also

Package Description
libdist-zilla-plugin-prepender-perl_2.004-1_all.deb Dist::Zilla plugin to prepend lines at the top of your perl files
libdist-zilla-plugin-readmefrompod-perl_0.37-1_all.deb Dist::Zilla plugin to generate a README from Pod
libdist-zilla-plugin-repository-perl_0.24-1_all.deb Dist::Zilla plugin to discovery repository URL from svn/svk/Git checkout
libdist-zilla-plugin-requiresexternal-perl_1.008-1_all.deb Dist::Zilla plugin to declare dependency on command-line tools
libdist-zilla-plugin-run-perl_0.048-1_all.deb Dist::Zilla plugin to execute external commands
libdist-zilla-plugin-templatefiles-perl_0.03-1_all.deb plugin that enables the use of templates in a Dist::Zilla distribution
libdist-zilla-plugin-test-compile-perl_2.058-1_all.deb common tests to check syntax of your modules, using only core modules
libdist-zilla-plugin-test-eol-perl_0.19-2_all.deb Dist::Zilla plugin to make sure that correct line endings are used
libdist-zilla-plugin-test-kwalitee-perl_2.12-1_all.deb Dist::Zilla plugin providing a release-time Kwalitee test
libdist-zilla-plugin-test-notabs-perl_0.15-3_all.deb Dist::Zilla plugin to make sure hard tabs are not used
libdist-zilla-plugin-test-perl-critic-perl_3.001-2_all.deb Dist::Zilla plugin to check your code with perlcritic
libdist-zilla-plugin-test-podspelling-perl_2.007005-1_all.deb Author tests for POD spelling
libdist-zilla-plugin-test-reportprereqs-perl_0.027-1_all.deb module to report on prerequisite versions during automated testing
libdist-zilla-plugin-twitter-perl_0.026-2_all.deb Twitter when you release with Dist::Zilla
libdist-zilla-plugins-cjm-perl_6.000-1_all.deb collection of CJM's plugins for Dist::Zilla
Advertisement
Advertisement